Skip to content


Subversion checkout URL

You can clone with
Download ZIP


npm install -g karma-coverage fails #4544

dhwingert opened this Issue · 3 comments

4 participants


I'm very new to all of this. I'm trying to get setup to use Karma and Jasmine to unit test javascript and get code coverage reports.

I've got git, npm, karma, and phantomjs installed on my Windows XP 64 bit workstation.

When I open a command prompt and type the command "npm install -g karma-coverage" I get errors.

Below is last lines of the npm log. The entire log would not fit.

388 verbose about to build C:\Documents and Settings\u5930251\Application Data\npm\node_modules\karma-coverage
389 info C:\Documents and Settings\u5930251\Application Data\npm\node_modules\karma-coverage unbuild
390 info preuninstall karma-coverage@0.1.4
391 info uninstall karma-coverage@0.1.4
392 verbose true,C:\Documents and Settings\u5930251\Application Data\npm\node_modules,C:\Documents and Settings\u5930251\Application Data\npm\node_modules unbuild karma-coverage@0.1.4
393 info postuninstall karma-coverage@0.1.4
394 silly gunzTarPerm extractEntry lib/report/teamcity.js
395 silly gunzTarPerm modified mode [ 'lib/report/teamcity.js', 438, 420 ]
396 silly gunzTarPerm extractEntry lib/report/text-summary.js
397 silly gunzTarPerm modified mode [ 'lib/report/text-summary.js', 438, 420 ]
398 silly gunzTarPerm extractEntry lib/report/text.js
399 silly gunzTarPerm modified mode [ 'lib/report/text.js', 438, 420 ]
400 silly gunzTarPerm extractEntry lib/report/lcovonly.js
401 silly gunzTarPerm modified mode [ 'lib/report/lcovonly.js', 438, 420 ]
402 error Error: ENOENT, lstat 'C:\Documents and Settings\u5930251\Application Data\npm\node_modules\karma-coverage\node_modules\istanbul\lib\command\help.js'
403 error If you need help, you may report this *entire* log,
403 error including the npm and node versions, at:
403 error     <>
404 error System Windows_NT 5.2.3790
405 error command "C:\\Program Files\\nodejs\\\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "-g" "karma-coverage"
406 error cwd C:\applications\repositories\PaymentIntegrity\SurveillanceDashboardsSite
407 error node -v v0.10.24
408 error npm -v 1.3.21
409 error path C:\Documents and Settings\u5930251\Application Data\npm\node_modules\karma-coverage\node_modules\istanbul\lib\command\help.js
410 error fstream_path C:\Documents and Settings\u5930251\Application Data\npm\node_modules\karma-coverage\node_modules\istanbul\lib\command\help.js
411 error fstream_type File
412 error fstream_class FileWriter
413 error code ENOENT
414 error errno 34
415 error fstream_stack C:\Program Files\nodejs\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
415 error fstream_stack Object.oncomplete (fs.js:107:15)
416 verbose exit [ 34, true ]
@iarna iarna added the support label

Is this still a problem for you?

This looks like you ran into one of the race conditions that used to be present in older npm versions.

There have been a lot of improvements to npm -- especially around conflicts and race conditions during install -- since 1.3.21. Can you try updating your npm installation?

To update npm on Windows, follow the instructions here:

We are trying to clean up older npm issues, so if we don't hear back from you within a week, we will close this issue. (Don't worry -- you can always come back again and open a new issue!)



Closing as resolved!

@othiym23 othiym23 closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.